%{?scl:%scl_package nodejs-inflight}
%{!?scl:%global pkg_name %{name}}
%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                %{?scl_prefix}nodejs-inflight
Version:             1.0.4
Release:             1
Summary:             Node.js inflight
License:             ISC
Url:                 https://github.com/isaacs/inflight
Source:              http://registry.npmjs.org/inflight/-/inflight-%{version}.tgz
BuildRequires:       nodejs-packaging
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       npm(wrappy) npm(once)
%if 0%{?enable_tests}
BuildRequires:       npm(tap)
%endif
%description
Add callbacks to requests in flight to avoid async duplication

%prep
%setup -q -n package
%{nodejs_fixdep} once
%{nodejs_fixdep} wrappy

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/inflight
cp -pr package.json inflight.js \
        %{buildroot}%{nodejs_sitelib}/inflight/
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%{nodejs_symlink_deps} --check
tap test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/inflight

%changelog
* Thu Aug 20 2020 wangxiao <wangxiao65@huawei.com> - 1.0.4-1
- Package init
